Skip to content
View as Markdown

POST Save Email Action (Fallback)​

POST
/funnels/funnel/save-email-action-fallback

Fallback endpoint to save a funnel email action when the funnel ID is provided in the request body instead of the URL path. Creates or updates a funnel email campaign associated with the funnel.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"funnel_id": 0,
"action_data": {
"campaign": {
"id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"design_template": "string",
"settings": {
}
},
"mailer_settings": {
}
}
}

Responses​

Email action saved successfully.

application/json
JSON
{
"type": "string",
"reference_campaign": 0,
"campaign": {
}
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI